package f1.entity;

import com.fasterxml.jackson.annotation.JsonProperty;

public class QualifyingResultItem {
    private int position;

    @JsonProperty("car_num")
    private int carNum;

    private String name;
    private String team;

    @JsonProperty("q1")
    private String q1Time;

    @JsonProperty("q2")
    private String q2Time;

    @JsonProperty("q3")
    private String q3Time;

    public QualifyingResultItem(int position, int carNum, String name, String team, String q1Time, String q2Time,
            String q3Time) {
        this.position = position;
        this.carNum = carNum;
        this.name = name;
        this.team = team;
        this.q1Time = q1Time;
        this.q2Time = q2Time;
        this.q3Time = q3Time;
    }

    public int getPosition() {
        return position;
    }

    public void setPosition(int position) {
        this.position = position;
    }

    public int getCarNum() {
        return carNum;
    }

    public void setCarNum(int carNum) {
        this.carNum = carNum;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTeam() {
        return team;
    }

    public void setTeam(String team) {
        this.team = team;
    }

    public String getQ1Time() {
        return q1Time;
    }

    public void setQ1Time(String q1Time) {
        this.q1Time = q1Time;
    }

    public String getQ2Time() {
        return q2Time;
    }

    public void setQ2Time(String q2Time) {
        this.q2Time = q2Time;
    }

    public String getQ3Time() {
        return q3Time;
    }

    public void setQ3Time(String q3Time) {
        this.q3Time = q3Time;
    }
}
